<template>
  <div class="table-responsive">
    <div class="notify_table">
      <div class="notify_table__header">
        <div class="nofiy__head column__first">
          Type
        </div>
         <div class="nofiy__head column__second">
          Host
        </div>
         <div class="nofiy__head column__third">
          Points to
        </div>
      </div>
      <div class="notify_table__body">
        <div  class="notify__tr" v-for="(item, index) in items" :key="index">
          <img class="box-shadow" src="/images/box-shadow.png" alt="box-shadow">
          <div class="notify__item column__first"><span class="dot" :class="[validationResult[index] ? 'dot_green' : 'dot_red']"></span><span>{{item.type}}</span></div>
          <div class="notify__item column__second">
            <div class="copy__text">
            {{ item.host }}
            </div>
            
            <b-button
              class="notify_table__copy "
              @click="copyText(item.host)"
            >
              Copy
            </b-button>
          </div>
          <div class="notify__item column__third">
            <div class="copy__text">
            {{ item.data }}
            </div>
            <b-button
              class="notify_table__copy"
              @click="copyText(item.data)"
            >
              Copy
            </b-button>
          </div>
        </div>
      </div>
    </div>
    <input type="text" id="clipboard" />
  </div>
</template>

<script>
export default {
  props: ['items', 'validationResult', 'domain'],
  methods: {
    copyText(data) {
      const input = document.querySelector("#clipboard");
      input.value = data.includes(this.domain) ? data.split(`.${this.domain}`)[0] : data;
      input.focus();
      input.select();
      document.execCommand("copy");
    },
  },
};
</script>

<style lang="scss" scoped>
  @media(min-width: 1320px) {
    .table-responsive {
      overflow: visible !important;
    }
  }
  .column {
    &__first {
      min-width: 65px;
      width: 5%;
      padding-right: 5px;
    }
    &__second {
      min-width: 250px;
      width: 45%;
    }
    &__third {
      min-width: 300px;
      width: 50%;
    }
    &__second,
    &__third {
      display: flex;
      justify-content: flex-end;
      padding-left: 5px;
    }
    
  }

  .notify__item {
    display: flex;
    align-items: center;
    padding: 20px 0 16px 0;
  }
::v-deep .notify_table {
  margin-top: 40px;

  &__link {
    text-align: center;
    width: 77px;
  }
  &__header,
  &__body {
    th,
    td {
      border: none;
      padding: 13px 20px;
      vertical-align: middle;
    }
    td {
      padding: 20px 20px 16px;
    }
  }
  &__body {
    tr {
      &:first-of-type {
        box-shadow: none;
      }
    }
  }
}
.box-shadow {
  position: absolute;
  width: calc(100% + 30px);
  height: calc(100% + 18px);
  left: -15px;
}
.table-responsive {
  box-shadow: none;
  overflow: auto;
}
.notify_table {
  min-width: 870px;
  max-width: 100%;
  width: 1072px;
}
.notify {
  &__tr, &_table__header  {
    display: flex;
    align-items: center;
  }
  &__tr {
    padding-right: 20px;
    padding-left: 20px;
    position: relative;
  }
  &__item {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    position: relative;
    &.column__first {
      justify-content: flex-start;
    }
  } 
  &_table {
  &__copy {
    background: #dae7ff;
    color: #4786ff;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    border: none;
    padding: 5px 22px;
    margin-left: 15px;
  }
}
}
.notify_table__header {
  padding-right: 20px;
  padding-left: 20px;
  margin-bottom: 10px;
}
#clipboard {
  position: relative;
  z-index: -1;
  opacity: 0;
}
.copy__text {
  text-align: right;
}

.dot {
  width: 8px;
  height: 8px;
  margin-top: 2px;
  border-radius: 50%;
  margin-right: 5px;
  &_green {
    background: green;
  }
  &_red {
    background: red;
  }
}
.table-responsive {
  margin-bottom: 0;
}
</style>
